# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75"
name = "scrump-format-sqlite"
version = "0.1.8"
authors = ["Avi Fenesh"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "SQLite database handler for scrump."
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/avifenesh/scrump"

[lib]
name = "scrump_format_sqlite"
path = "src/lib.rs"

[dependencies.rusqlite]
version = "0.39"
features = ["bundled"]

[dependencies.scrump-core]
version = "0.1.8"

[lints.clippy]
dbg_macro = "deny"
manual_map = "warn"
map_unwrap_or = "warn"
redundant_closure = "warn"
todo = "deny"
unimplemented = "deny"

[lints.rust]
unsafe_code = "forbid"
unused_must_use = "deny"
